Subject: Re: bug#16017: 24.3.50; windmove is broken

From: martin rudalics <[email-masked]>
Date: Wed, 04 Dec 2013 15:31:05 +0100

> The patch works, except it doesn't let me move to the minibuffer window
 > when it's active, and doesn't say so when the minibuffer is inactive
 > (and it should, according to `windmove-do-window-select'). Changing the
 > value of `windmove-window-distance-delta' doesn't help with it either,
 > so looks like the patch is indeed equivalent to that.

I nevertheless checked it in to allow others basic navigation.  I'll
look into the minibuffer case later.

 > The "no window there" feedback is non-existent (error "Wrong type
 > argument: window-live-p, nil"), but that's to be expected, I guess.

Certainly not (the function I use was too complex to post here): Try

(defun select-window-on-left ()
   "Select window on the left."
   (interactive)
   (let ((window (window-in-direction 'left)))
     (when window (select-window window))))

martin